Get All Apps
Get a list of all apps/games on Steam.
Endpoint
Query Parameters
Maximum number of apps to return
Example Request
curl -X GET "https://rocks.rive.wtf/api/steam/apps?max_results=100&legacy=false" \
-H "Authorization: Bearer YOUR_API_KEY"
Response Example
{
"response": {
"apps": [
{
"appid": 10,
"last_modified": 1745368572,
"name": "Counter-Strike",
"price_change_number": 33078735
},
{
"appid": 730,
"last_modified": 1749053861,
"name": "Counter-Strike 2",
"price_change_number": 33389033
}
],
"have_more_results": true,
"last_appid": 3500
}
}
Response Fields
Container for apps data
Array of Steam apps/games
appid - Unique Steam App ID
name - Game/app name
last_modified - Unix timestamp of last modification
price_change_number - Internal price tracking number
Whether there are more results available
Last app ID in the current result set
Get Game Details
Get detailed information about a specific Steam game.
Endpoint
Query Parameters
Example Request
curl -X GET "https://rocks.rive.wtf/api/steam/details?appid=730&cc=US&l=english" \
-H "Authorization: Bearer YOUR_API_KEY"
Response Example
{
"success": true,
"data": {
"type": "game",
"name": "Counter-Strike 2",
"steam_appid": 730,
"required_age": 0,
"is_free": true,
"detailed_description": "For over two decades, Counter-Strike has offered...",
"short_description": "For over two decades, Counter-Strike has offered...",
"header_image": "https://shared.akamai.steamstatic.com/store_item_assets/steam/apps/730/header.jpg?t=1749053861",
"capsule_image": "https://shared.akamai.steamstatic.com/store_item_assets/steam/apps/730/capsule_231x87.jpg?t=1749053861",
"developers": ["Valve"],
"publishers": ["Valve"],
"price_overview": null,
"platforms": {
"windows": true,
"mac": false,
"linux": true
},
"categories": [
{
"id": 1,
"description": "Multi-player"
}
],
"genres": [
{
"id": "1",
"description": "Action"
}
],
"screenshots": [
{
"id": 0,
"path_thumbnail": "https://...",
"path_full": "https://..."
}
],
"release_date": {
"coming_soon": false,
"date": "Aug 21, 2012"
},
"recommendations": {
"total": 4898285
},
"achievements": {
"total": 1,
"highlighted": [
{
"name": "A New Beginning",
"path": "https://..."
}
]
}
}
}
Response Fields
Whether the request was successful
Detailed game information
type - Content type (game, dlc, etc.)
name - Game name
steam_appid - Steam App ID
required_age - Minimum age requirement
is_free - Whether the game is free-to-play
detailed_description - Full game description (HTML)
short_description - Brief description
header_image - Main header image URL
capsule_image - Capsule image URL
developers - Array of developer names
publishers - Array of publisher names
price_overview - Pricing information (null if free)
platforms - Supported platforms (windows, mac, linux)
categories - Game categories (multiplayer, etc.)
genres - Game genres
screenshots - Array of screenshot objects
release_date - Release date information
recommendations - Total user recommendations
achievements - Achievement information
Get Player Summary
Get summary information about a Steam player.
Endpoint
GET /api/steam/player/summaries
Query Parameters
Comma-separated list of 64-bit Steam IDs
Example Request
curl -X GET "https://rocks.rive.wtf/api/steam/player/summaries?steamids=76561197960435530" \
-H "Authorization: Bearer YOUR_API_KEY"
Response Example
{
"response": {
"players": [
{
"steamid": "76561197960435530",
"communityvisibilitystate": 3,
"profilestate": 1,
"personaname": "Robin",
"profileurl": "https://steamcommunity.com/id/robinwalker/",
"avatar": "https://avatars.steamstatic.com/81b5478529dce13bf24b55ac42c1af7058aaf7a9.jpg",
"avatarmedium": "https://avatars.steamstatic.com/81b5478529dce13bf24b55ac42c1af7058aaf7a9_medium.jpg",
"avatarfull": "https://avatars.steamstatic.com/81b5478529dce13bf24b55ac42c1af7058aaf7a9_full.jpg",
"avatarhash": "81b5478529dce13bf24b55ac42c1af7058aaf7a9",
"personastate": 4,
"personastateflags": 0,
"realname": "Robin Walker",
"timecreated": 1063407589,
"loccountrycode": "US",
"locstatecode": "WA",
"loccityid": 3961,
"primaryclanid": "103582791429521412",
"lastlogoff": null,
"commentpermission": null,
"gameid": null,
"gameextrainfo": null,
"gameserverip": null
}
]
}
}
Response Fields
Array of player profile objectsShow Player object fields
steamid - 64-bit Steam ID
communityvisibilitystate - Profile visibility (1=Private, 3=Public)
profilestate - Profile configuration state
personaname - Display name
profileurl - Profile URL
avatar - Small avatar URL (32x32)
avatarmedium - Medium avatar URL (64x64)
avatarfull - Full avatar URL (184x184)
avatarhash - Avatar image hash
personastate - Online status (0=Offline, 1=Online, 2=Busy, 3=Away, 4=Snooze, 5=Looking to trade, 6=Looking to play)
personastateflags - Additional state flags
realname - Real name (if set and visible)
timecreated - Account creation timestamp
loccountrycode - Country code
locstatecode - State code
loccityid - City ID
primaryclanid - Primary clan/group ID
lastlogoff - Last logoff timestamp
gameid - Current game ID (if playing)
gameextrainfo - Current game name
Get Game News
Get news articles for a specific game.
Endpoint
Query Parameters
Number of news items to return (max 20)
Maximum length of news content
Example Request
curl -X GET "https://rocks.rive.wtf/api/steam/news?appid=730&count=5&maxlength=300" \
-H "Authorization: Bearer YOUR_API_KEY"
Response Example
{
"appnews": {
"appid": 730,
"count": 1700,
"newsitems": [
{
"gid": "1823191198603765",
"title": "Counter-Strike 2 Update",
"url": "https://steamstore-a.akamaihd.net/news/externalpost/steam_community_announcements/1823191198603765",
"is_external_url": true,
"author": "jo",
"contents": "Damage from HE grenades that explode mid-air near the ground...",
"feedlabel": "Community Announcements",
"date": 1769732256,
"feedname": "steam_community_announcements",
"feed_type": 1,
"appid": 730,
"tags": ["patchnotes"]
}
]
}
}
Response Fields
News container object
Total number of news items available
Array of news article objects
gid - Unique news item ID
title - News article title
url - Full article URL
is_external_url - Whether URL is external
author - Author username
contents - Article content (truncated to maxlength)
feedlabel - Feed category label
date - Publication date (Unix timestamp)
feedname - Feed source name
feed_type - Type of feed (1=Community)
appid - Associated app ID
tags - Array of tags (e.g., “patchnotes”)
News content is truncated to the maxlength parameter. Use the url field to view the full article.
The date field is a Unix timestamp. Convert it to a readable date using new Date(timestamp * 1000) in JavaScript.
Common Use Cases
Game Discovery
Browse and search Steam’s game library
Price Tracking
Monitor game prices and sales
Player Stats
Display player profiles and achievements
News Aggregation
Aggregate game updates and announcements